CREATE TABLE CRST_GL_ALLOC_FORMULA_LINES
(
  ALLOCATION_FORMULA_ID  NUMBER(15)             NOT NULL,
  LINE_NUMBER            NUMBER(15)             NOT NULL,
  LINE_TYPE              VARCHAR2(1 BYTE)       NOT NULL,
  OPERATOR               VARCHAR2(3 BYTE)       NOT NULL,
  LAST_UPDATE_DATE       DATE                   NOT NULL,
  LAST_UPDATED_BY        NUMBER(15)             NOT NULL,
  CREATION_DATE          DATE,
  CREATED_BY             NUMBER(15),
  LAST_UPDATE_LOGIN      NUMBER(15),
  AMOUNT                 NUMBER,
  RELATIVE_PERIOD        VARCHAR2(25 BYTE),
  PERIOD_NAME            VARCHAR2(15 BYTE),
  CURRENCY_CODE          VARCHAR2(15 BYTE),
  TRANSACTION_CURRENCY   VARCHAR2(1 BYTE),
  ACTUAL_FLAG            VARCHAR2(1 BYTE),
  BUDGET_VERSION_ID      NUMBER(15),
  ENCUMBRANCE_TYPE_ID    NUMBER(15),
  AMOUNT_TYPE            VARCHAR2(15 BYTE),
  SEGMENT_TYPES_KEY      VARCHAR2(60 BYTE),
  SEGMENT_BREAK_KEY      VARCHAR2(60 BYTE),
  SEGMENT1               VARCHAR2(25 BYTE),
  SEGMENT2               VARCHAR2(25 BYTE),
  SEGMENT3               VARCHAR2(25 BYTE),
  SEGMENT4               VARCHAR2(25 BYTE),
  SEGMENT5               VARCHAR2(25 BYTE),
  SEGMENT6               VARCHAR2(25 BYTE),
  SEGMENT7               VARCHAR2(25 BYTE),
  SEGMENT8               VARCHAR2(25 BYTE),
  SEGMENT9               VARCHAR2(25 BYTE),
  SEGMENT10              VARCHAR2(25 BYTE),
  SEGMENT11              VARCHAR2(25 BYTE),
  SEGMENT12              VARCHAR2(25 BYTE),
  SEGMENT13              VARCHAR2(25 BYTE),
  SEGMENT14              VARCHAR2(25 BYTE),
  SEGMENT15              VARCHAR2(25 BYTE),
  SEGMENT16              VARCHAR2(25 BYTE),
  SEGMENT17              VARCHAR2(25 BYTE),
  SEGMENT18              VARCHAR2(25 BYTE),
  SEGMENT19              VARCHAR2(25 BYTE),
  SEGMENT20              VARCHAR2(25 BYTE),
  SEGMENT21              VARCHAR2(25 BYTE),
  SEGMENT22              VARCHAR2(25 BYTE),
  SEGMENT23              VARCHAR2(25 BYTE),
  SEGMENT24              VARCHAR2(25 BYTE),
  SEGMENT25              VARCHAR2(25 BYTE),
  SEGMENT26              VARCHAR2(25 BYTE),
  SEGMENT27              VARCHAR2(25 BYTE),
  SEGMENT28              VARCHAR2(25 BYTE),
  SEGMENT29              VARCHAR2(25 BYTE),
  SEGMENT30              VARCHAR2(25 BYTE),
  DUMMY                  CHAR(1),
  LAST_UPDATED_NAME      VARCHAR2(100),
  CREATED_NAME           VARCHAR2(100),
  BUDGET_NAME            VARCHAR2(100),
  ENCUM_TYPE             VARCHAR2(100)
);
